Bug 913771 - kmymoney EPEL request
Summary: kmymoney EPEL request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kmymoney
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-22 01:26 UTC by Ben
Modified: 2013-05-07 18:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-07 18:07:35 UTC
Type: Bug
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ben 2013-02-22 01:26:25 UTC
Description of problem:
I would like to see kmymoney in EL6. I think it would need to be 4.5.3, instead of 4.6.x, because 4.6 requires KDE 4.3.5. If you have time to build this package for EL, that would be great. Otherwise, I would be interested in helping out. Thanks.

Comment 1 Rex Dieter 2013-02-22 17:22:56 UTC
If the latest kmymoney can't be supported in epel, then I'd be less inclined to want to support older/unsupported versions there.

That said, if you want to work-on and support that, you have my complete blessing (and condolences). :)

Comment 2 Ben 2013-03-06 11:48:36 UTC
I'm able to build the Fedora 15 kmymoney-4.5.3 src rpm in EL6 if I have it build with the local copy of kdchart in kmymoney. I don't see kdchart in EL6 or EPEL. Would it be OK to build kmymoney with its own copy of kdchart? Should I take this to the EPEL mailing list? Thanks for your help.

Comment 3 Rex Dieter 2013-03-06 12:38:36 UTC
It's fine to use the embedded copy, using the one from koffice/calligra isn't possible on epel.

Comment 4 Ben 2013-03-06 14:22:21 UTC
OK, I'm not clear on the next step. Should I request an EPEL branch for the existing kmymoney package, even though this is based on an old version of the kmymoney package? Should I submit a request for a new kmymoney package for epel?

Comment 6 Ben 2013-03-06 17:19:16 UTC
OK, I see that I can put the Package Change Request comment here, but it won't let me set the Fedora-cvs flag. I've created a Fedora Account, but I'm not sure if there's something else I need to do (this is my first package to work on).

Comment 7 Rex Dieter 2013-03-06 18:03:34 UTC
Ah, you need to be sponsored first, see
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
and to a lesser degree,
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Get_Sponsored

In this case, I'd be happy to be your sponsor into the packager group, serve as mentor and generally provide help where needed.

What's your FAS username?

Comment 8 Ben 2013-03-06 20:40:42 UTC
Thanks! My username is benc.

Comment 9 Ben 2013-03-12 22:44:18 UTC
Hello - is there any update on this? Or do I need to take the next step?

Comment 10 Rex Dieter 2013-03-12 22:58:51 UTC
Looks like something is wrong, I tried to sponsor you and got an error:

benc can not apply to packager.


You may have skipped some step(s), creating your FAS account. Let's review,
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Create_a_Fedora_Account

that includes 4 steps to follow, did you do all of these?

Comment 11 Ben 2013-03-13 01:28:11 UTC
OK, now I have.

Comment 12 Rex Dieter 2013-03-13 01:31:02 UTC
OK, sponsored.  

Now, follow:
http://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

to request a new el6 branch be created for kmymoney (feel free to list me, rdieter, as comaintainer for now, while you're still learning).

Comment 13 Ben 2013-03-13 02:09:57 UTC
Hmm, I still can't seem to raise the fedora-cvs flag...

Comment 14 Rex Dieter 2013-03-13 08:49:08 UTC
2 things: 
1.  your fas account email must match your bugzilla one
2.  FAS group memeberships takes a little while to sync (should be done by now, try again)

Comment 15 Ben 2013-03-13 22:32:37 UTC
Package Change Request
======================
Package Name: kmymoney
New Branches: el6
Owners: benc rdieter

Comment 16 Gwyn Ciesla 2013-03-14 11:10:28 UTC
Git done (by process-git-requests).

Comment 17 Fedora End Of Life 2013-04-03 17:14:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 18 Ben 2013-04-11 00:52:37 UTC
I've committed a modified Fedora spec file to the EL6 branch, and the fedpkg build was successful, What's the next step?

Comment 20 Fedora Update System 2013-04-11 23:48:48 UTC
kmymoney-4.5.3-1.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/kmymoney-4.5.3-1.el6.1

Comment 21 Ben 2013-04-12 00:16:17 UTC
Update submitted in bodhi. Thanks for all your help!

Comment 22 Rex Dieter 2013-04-12 00:18:20 UTC
glad to help (and keep in "modified" state here, and bodhi will autoclose this bug when it goes stable)

Comment 23 Fedora Update System 2013-04-13 00:12:29 UTC
Package kmymoney-4.5.3-1.el6.1:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing kmymoney-4.5.3-1.el6.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5422/kmymoney-4.5.3-1.el6.1
then log in and leave karma (feedback).

Comment 24 Ben 2013-04-26 00:58:11 UTC
Should I go ahead and push my update when I'm ready? Do I need feedback from others before marking it as stable?

Comment 25 Fedora Update System 2013-05-07 18:07:38 UTC
kmymoney-4.5.3-1.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.